### Option:Plugins.MongoDB.System.Path
#	Path to external plugin executable.
#
# Mandatory: yes
# Default:
# Plugins.MongoDB.System.Path=

### Option: Plugins.MongoDB.Timeout
#	Amount of time to wait for a server to respond when first connecting and on
#   follow up operations in the session.
#	Global item-type timeout (or individual item timeout) will override this value if it is greater.
#
# Mandatory: no
# Range: 1-30
# Default:
# Plugins.MongoDB.Timeout=<Global timeout from Zabbix agent 2 configuration file>

### Option: Plugins.MongoDB.KeepAlive
#	Time in seconds for waiting before unused connections will be closed.
#
# Mandatory: no
# Range: 60-900
# Default:
# Plugins.MongoDB.KeepAlive=300

### Option: Plugins.MongoDB.Sessions.*.Uri
#	Uri to connect. "*" should be replaced with a session name.
#
# Mandatory: no
# Range:
#   Must matches the URI format.
#   The only supported schema is "tcp".
#   Embedded credentials will be ignored.
# Default:
# Plugins.MongoDB.Sessions.*.Uri=

### Option: Plugins.MongoDB.Sessions.*.User
#	Username to send to protected MongoDB server. "*" should be replaced with a session name.
#
# Mandatory: no
# Default:
# Plugins.MongoDB.Sessions.*.User=

### Option: Plugins.MongoDB.Sessions.*.Password
#	Password to send to protected MongoDB server. "*" should be replaced with a session name.
#
# Mandatory: no
# Default:
# Plugins.MongoDB.Sessions.*.Password=

### Option: Plugins.MongoDB.Sessions.*.TLSConnect
#Encryption type for MongoDB connection. "*" should be replaced with a session name.
#       tls connection required     - required
#       verifies certificates       - verify_ca
#       verify certificates and ip  - verify_full
## Mandatory: no
# Default: 
# Plugins.MongoDB.Sessions.*.TLSConnect=

### Option: Plugins.MongoDB.Sessions.*.TLSCAFile
#   Full path-name of a file containing the top-level CA(s) certificates for MongoDB 
#   peer certificate verification.
## Mandatory: no
# Default: 
# Plugins.MongoDB.Sessions.*.TLSCAFile=

### Option: Plugins.MongoDB.Sessions.*.TLSCertFile
#   Full path-name of a file containing the MongoDB certificate or certificate chain.
## Mandatory: no
# Default: 
# Plugins.MongoDB.Sessions.*.TLSCertFile=

### Option: Plugins.MongoDB.Sessions.*.TLSKeyFile
#   Full path-name of a file containing the MongoDB private key.
## Mandatory: no
# Default: 
# Plugins.MongoDB.Sessions.*.TLSKeyFile=

### Option: Plugins.MongoDB.Default.Uri
#	Uri to connect. Default value used if no other is specified.
#
# Mandatory: no
# Range:
#   Must matches the URI format.
#   The only supported schema is "tcp".
#   Embedded credentials will be ignored.
# Default:
# Plugins.MongoDB.Default.Uri=

### Option: Plugins.MongoDB.Default.User
#	Username to send to protected MongoDB server. Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.MongoDB.Default.User=

### Option: Plugins.MongoDB.Default.Password
#	Password to send to protected MongoDB server. Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.MongoDB.Default.Password=
